> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List internal comments

> List internal comments on a thread. Comments are visible to teammates only. Requires the threads:read scope.



## OpenAPI

````yaml openapi-v2.json get /threads/{thread_id}/comments
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /threads/{thread_id}/comments:
    get:
      tags:
        - threads
      summary: List internal comments
      description: >-
        List internal comments on a thread. Comments are visible to teammates
        only. Requires the threads:read scope.
      operationId: threads-listComments
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 200
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created_at:
                          type: string
                        updated_at:
                          type: string
                        content:
                          type: string
                        attachments:
                          type: array
                        thread_id:
                          type: string
                        user_id:
                          type: string
                          nullable: true
                      required:
                        - id
                        - created_at
                        - updated_at
                        - content
                        - attachments
                        - thread_id
                        - user_id
                      additionalProperties: false
                  page:
                    type: object
                    properties:
                      cursor:
                        type: string
                        nullable: true
                      has_more:
                        type: boolean
                      limit:
                        type: integer
                    required:
                      - cursor
                      - has_more
                      - limit
                    additionalProperties: false
                required:
                  - data
                  - page
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````